Name:          serd
Version:       0.30.6
Release:       1mamba
Summary:       A lightweight C library for RDF syntax which supports reading and writing Turtle and NTriples
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://drobilla.net/software/serd/
Source:        http://download.drobilla.net/serd-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Serd is a lightweight C library for RDF syntax which supports reading and writing Turtle and NTriples.
Serd is not intended to be a swiss-army knife of RDF syntax, but rather is suited to resource limited or performance critical applications (e.g. converting many gigabytes of NTriples to Turtle), or situations where a simple reader/writer with minimal dependencies is ideal (e.g. in LV2 implementations or embedded applications).

%package -n lib%{name}
Group:         System/Libraries
Summary:       A lightweight C library for RDF syntax which supports reading and writing Turtle and NTriples

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
./waf configure \
   --prefix=%{_prefix} \
   --libdir=%{_libdir}

./waf %{?_smp_mflags} build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./waf install --destdir=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/serdi
%{_mandir}/man1/serdi.1.gz

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libserd-0.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/serd-0
%dir %{_includedir}/serd-0/serd
%{_includedir}/serd-0/serd/serd.h
%{_libdir}/libserd-0.so
%{_libdir}/pkgconfig/serd-0.pc
%doc NEWS

%changelog
* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 0.30.6-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 0.30.4-1mamba
- automatic version update by autodist

* Mon Oct 21 2019 Automatic Build System <autodist@mambasoft.it> 0.30.2-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Sat Mar 24 2018 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic version update by autodist

* Fri Oct 16 2015 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18.2-1mamba
- package created by silvan using the webbuild interface
